aboutsummaryrefslogtreecommitdiff
path: root/bin/run-riscv-gdb.sh
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <mssola@mssola.com>2026-06-22 10:03:20 +0200
committerMiquel Sabaté Solà <mssola@mssola.com>2026-06-22 10:03:20 +0200
commite3deb2e8f133afbf2a83e6c737d0ca2688258833 (patch)
tree15fea96e1e84088a97e4bbe36ec14d3f421483ee /bin/run-riscv-gdb.sh
parent5d4373690a3bb0b8d15cb2eef11e9a43671c1db9 (diff)
downloaddotfiles-e3deb2e8f133afbf2a83e6c737d0ca2688258833.tar.gz
dotfiles-e3deb2e8f133afbf2a83e6c737d0ca2688258833.zip
bin: set -x on the run-riscv-gdb script
Also default to a better repository base directory. Signed-off-by: Miquel Sabaté Solà <mssola@mssola.com>
Diffstat (limited to 'bin/run-riscv-gdb.sh')
-rwxr-xr-xbin/run-riscv-gdb.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/run-riscv-gdb.sh b/bin/run-riscv-gdb.sh
index 6efad17..8ba4987 100755
--- a/bin/run-riscv-gdb.sh
+++ b/bin/run-riscv-gdb.sh
@@ -1,9 +1,9 @@
#!/usr/bin/env sh
-set -e
+set -ex
TUI=""
-BASE=${BASE:-~/src/git.kernel.org/linux/kernel}
+BASE=${BASE:-~/src/linux}
PROFILE=${PROFILE:-riscv}
REPO=${REPO:-riscv}
VMLINUX=${VMLINUX:-$BASE/$REPO/vmlinux}